Subject: [Rfcplusplus] draft-thomson-rfcplusplus-label-00.txt

From: "Adrian Farrel" <[email-masked]>
Date: Tue, 3 Jul 2018 07:45:39 +0100

Martin,

Thanks for writing this up: it is really important to help us understand the
motivation, scope, and impact of the proposals.

I am interested in your views about how the experiment might be unpicked if it
is judged to have failed (section 4.3).
Let's assume for the sake of discussion that all documents produced under the
experiment are formatted exactly as RFCs, and differ only in the names applied.
Thus RFC 9001, FOO 9002, and BAR 9003.
That makes posting them later as RFC 9001, RFC 9002, and RFC 9003 easy.
But what about references to FOO 9002 and BAR 9003? How would you propose that
these are handled after the failure of the experiment when the references are
made from stable published document?

Cheers,
Adrian

> -----Original Message-----
> From: I-D-Announce [mailto:[email-masked]] On Behalf Of
> [email-masked]
> Sent: 03 July 2018 00:12
> To: [email-masked]
> Subject: I-D Action: draft-thomson-rfcplusplus-label-00.txt
> 
> 
> A New Internet-Draft is available from the on-line Internet-Drafts
directories.
> 
> 
>         Title           : The Label "RFC"
>         Author          : Martin Thomson
> 	Filename        : draft-thomson-rfcplusplus-label-00.txt
> 	Pages           : 9
> 	Date            : 2018-07-02
> 
> Abstract
>    The perception and reality of the RFC series have long been separate.
>    More than 20 years of attempts to correct perception, starting with
>    RFC 1796, have been unsuccessful.  This document proposes an
>    experiment to see if changing the labels on document will have any
>    effect on fixing that problem.
> 
> 
> The IETF datatracker status page for this draft is:
> https://datatracker.ietf.org/doc/draft-thomson-rfcplusplus-label/
> 
> There are also htmlized versions available at:
> https://tools.ietf.org/html/draft-thomson-rfcplusplus-label-00
> https://datatracker.ietf.org/doc/html/draft-thomson-rfcplusplus-label-00
> 
> 
> Please note that it may take a couple of minutes from the time of submission
> until the htmlized version and diff are available at tools.ietf.org.
> 
> Internet-Drafts are also available by anonymous FTP at:
> ftp://ftp.ietf.org/internet-drafts/
> 
> _______________________________________________
> I-D-Announce mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/i-d-announce
> Internet-Draft directories: http://www.ietf.org/shadow.html
> or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

---

From: Martin Thomson <[email-masked]>
Date: Tue, 3 Jul 2018 16:50:46 +1000

> That makes posting them later as RFC 9001, RFC 9002, and RFC 9003 easy.

Yeah, that's the easy part :)

> made from stable published document?

The numbers and labels will need to remain valid.  One of the bigger
issues in this giant ball of string - one that I hope we don't get
into - is immutability, and we can't stop the immutable RFC 9001 from
referencing BAR 9003.  As a practical matter that probably means
keeping URLs live and any indices working, but not a whole lot more.
BAR 9003 might just point to RFC 9003 though.

I should add a note about that.

---

From: Eliot Lear <[email-masked]>
Date: Tue, 3 Jul 2018 10:30:03 +0200

> BAR 9003 might just point to RFC 9003 though.

I think that's the right approach.  I don't believe it has cost the RFC
Editor a whole lot to maintain the FYI series, for instance, the last of
which was issued in 2001.  Thus three points:

 1. You may wish to add discussion of FYI, and why *it* failed, the
    simple answer being that there was no need to create an FYI when the
    RFC labels remained available.  Arguably IENs fell by the wayside
    for the very same reasons.
 2. Section 4.4 is entitled "A New Label is Necessary".  I believe this
    is overly assertive for an experiment.  If a new label is necessary,
    and the experiment "fails", what then?  More to the point, isn't
    that the point of the experiment: to determine whether a new label
    is necessary or valuable?
 3. Is the experiment considered a success if people refuse to publish
    with the new labels?  Does that, for instance, indicate the end of
    the ISE?  I realize that is a question for the IAB, but it would
    good to have some understanding of the thinking, going into this.

Eliot

---

From: Ted Hardie <[email-masked]>
Date: Tue, 3 Jul 2018 08:15:59 -0700

On Tue, Jul 3, 2018 at 1:30 AM, Eliot Lear <lear=[email-masked]>
wrote:

>    simple answer being that there was no need to create an FYI when the RFC
>    labels remained available.
>
>
This is not really my memory of either the creation or conclusion of the
FYI series.  From my perspective, the FYI series was a function of the User
Services area (this is noted in RFC 1150, section 9 and confirmed in RFC
6360).  That area was built to educate new users of the Internet and the
FYI series was part of that effort.  Why we concluded that effort may be
describe succinctly as it being overcome by events:  the rate and variety
of new users joining the network overtook the efforts that had made sense
in a smaller, more homogeneous network.

While Joyce is no longer with us, you might discuss this with April Marine,
now at Akamai, for more detail.

regards,

Ted

---

From: Eliot Lear <[email-masked]>
Date: Tue, 3 Jul 2018 18:23:41 +0200

Sorry Ted you're right.  But the IEN series is probably a better example
to study.

On 03.07.18 17:15, Ted Hardie wrote:
> On Tue, Jul 3, 2018 at 1:30 AM, Eliot Lear
> <lear=[email-masked]
> <mailto:lear=[email-masked]>> wrote:
>
>
>      1. You may wish to add discussion of FYI, and why *it* failed,
>         the simple answer being that there was no need to create an
>         FYI when the RFC labels remained available. 
>
>
> This is not really my memory of either the creation or conclusion of
> the FYI series.  From my perspective, the FYI series was a function of
> the User Services area (this is noted in RFC 1150, section 9 and
> confirmed in RFC 6360).  That area was built to educate new users of
> the Internet and the FYI series was part of that effort.  Why we
> concluded that effort may be describe succinctly as it being overcome
> by events:  the rate and variety of new users joining the network
> overtook the efforts that had made sense in a smaller, more
> homogeneous network.
>
> While Joyce is no longer with us, you might discuss this with April
> Marine, now at Akamai, for more detail.
>
> regards,
>
> Ted
>